from pydantic import BaseModel, Field


class RagDatasetUpdateDTO(BaseModel):
    name: str | None = Field(None, min_length=1, max_length=255)
    retrieval_model: dict | None = Field(None)


class RagDatasetBatchDocumentDeleteDTO(BaseModel):
    document_ids: list[int] = Field(..., min_length=1)
